com.jscape.inet.dns

## Class DnsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.jscape.inet.dns.DnsException

- All Implemented Interfaces:
    java.io.Serializable

      public class DnsException
      extends java.lang.Exception

  DnsException is thrown by many methods of Dns class. The methods are masking various exception types into DnsException, but the event message will be propagated.
  In case that the cause for throwing DnsException is not exception but invalid client operation or server response, DnsException message will contain textual part of server response.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DnsException(java.lang.String message)` Creates exception with specified message string.
    `DnsException(java.lang.String message, java.lang.Throwable cause)` Creates exception with specified message string and source exception.
    `DnsException(java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DnsException

          public DnsException(java.lang.String message)

      Creates exception with specified message string.
      Parameters:
        `message` - the message of exception

    - #### DnsException

          public DnsException(java.lang.String message,
                              java.lang.Throwable cause)

      Creates exception with specified message string and source exception.
      Parameters:
        `message` - the message of exception
        `cause` - the exception which caused this exception

    - #### DnsException

          public DnsException(java.lang.Throwable cause)

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved